%define debug_package %{nil}

Summary:	A small programming toolbox

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		libguytools
Version:	2.1.0
Release:	1%{?dist}
URL:		http://libguytools.sourceforge.net/

License:	GPL

Group:		Applications/Forensics Tools

Source0:	tools-%{version}.tar.gz
BuildRoot:	%{buildroot}
BuildRequires:	qt5-qtbase-devel



%description
A small programming toolbox

%prep
%setup -n tools-%{version}

%build
echo 'VERSION="2.0.2"' > libguytools_version.pro.inc
%if 0%{?fedora} > 0
	qmake-qt5 toolsstatic.pro
%endif
%if 0%{?rhel} > 0
	%{_libdir}/qt5/bin/qmake toolsstatic.pro
%endif
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/libguytools2
cp -pP lib/* $RPM_BUILD_ROOT%{_libdir}
cp -rp include/* $RPM_BUILD_ROOT%{_includedir}/libguytools2

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(644, root, root)		%{_includedir}/libguytools2/*
%attr(755, root, root)		%{_libdir}/*

%changelog
* Fri Aug 28 2018 Lawrence R. Rogers <lrr@cert.org> 2.1.0-1
* Release 2.1.0-1
	libguytools2 (2.1.0-1) unstable; urgency=low
	 * Cleaned up for C++14, some minor prototype changes to ensure same bit widths on different architectures
	 * Some debugging (handling user errors in configuration files)
	 * Understands # at beginning of line (first non-blank char) for remarks (REM still remains valid)
	 -- Guy Voncken <develop@faert.net>  Fri, 31 Aug 2018 16:00:00 +0200

* Tue Jul 18 2017 Lawrence R. Rogers <lrr@cert.org> 2.0.5-1
* Release 2.0.5-1
	libguytools2 (2.0.5-1) unstable; urgency=low
	  * Moved to Qt5
	  * Adapted to Debian 8 (Jessie)
	 -- Guy Voncken <develop@faert.net>  Tue, 18 Jul 2017 12:00:00 +0200

* Tue Jul 14 2015 Lawrence R. Rogers <lrr@cert.org> 2.0.4-1
* Release 2.0.4-1
	libguytools2 (2.0.4-1) unstable; urgency=low
	  * Removed arch specific code in toolsignal.cpp
	 -- Guy Voncken <develop@faert.net>  Thu, 13 Jul 2015 16:00:00 +0200

* Mon Mar  2 2015 Lawrence R. Rogers <lrr@cert.org> 2.0.3-1
* Release 2.0.3-1
	libguytools2 (2.0.3-1) unstable; urgency=low
	  * Corrected problem with trailing backslashes
	  * Switched to my new developer email address (Guy Voncken <develop@faert.net>)

* Tue Jul 17 2012 Lawrence R. Rogers <lrr@cert.org> 2.0.2-1
* Release 2.0.2-1
	libguytools2 (2.0.2-1) unstable; urgency=low
	  * Correctly handling decimal point for different locale settings in toolcfg
	  * Some small signed/unsigned changes for cleaner linting
	  * Copyright notices cleaned up
	 -- Guy Voncken <vogu00@gmail.com>  Tue, 17 Jul 2012 10:00:00 +0200

* Tue Aug 04 2010 Lawrence R. Rogers <lrr@cert.org> 2.0.1-1
* Release 2.0.1-1
	libguytools2 (2.0.1-1) unstable; urgency=low
	  * Trunk released
	 -- Guy Voncken <vogu00@gmail.com>  Tue, 04 Aug 2010 11:30:00 +0200

* Fri Aug 02 2010 Lawrence R. Rogers <lrr@cert.org> 2.0.0beta1-1
* Release 2.0.0beta1-1
	libguytools2 (2.0.0beta1-1) unstable; urgency=low
	  * Putting everything into only one lib
	  * Some small changes for compilation under Ubuntu 10.04
	 -- Guy Voncken <vogu00@gmail.com>  Fri, 02 Aug 2010 17:00:00 +0200

* Tue Aug 18 2009 Lawrence R. Rogers <lrr@cert.org> 1.1.0beta1-0
* Release 1.1.0beta1-0
	libguytools1 (1.1.0beta1-0) unstable; urgency=low
	  * Preventing from repetitive messages if log file can't be opened
	  * Debian packaging checked and corrected (again and again)
	  * Using fopen64 for the log file, so that it may grow above any old limits
	  * Build scripts made more portable (thanks to GIDA)
	  * Debianisation changes by Mika
	 -- Guy Voncken <vogu00@gmail.com>  Tue, 18 Aug 2009 11:00:00 +0200


libguytools1 (1.0.3) unstable; urgency=low
  * Debian packaging checked and corrected
 -- Guy Voncken <vogu00@gmail.com>  Wed, 08 Apr 2008 17:00:00 +0200


libguytools1 (1.0.2) unstable; urgency=low
  * Support for amd64 architecture
 -- Guy Voncken <vogu00@gmail.com>  Wed, 16 Nov 2007 09:00:00 +0200


libguytools1 (1.0.1) unstable; urgency=low
  * Const type cleaned up.
 -- Guy Voncken <vogu00@gmail.com>  Wed, 06 Jun 2007 16:25:08 +0200


libguytools1 (1.0.0) unstable; urgency=low
  * Initial release.
 -- Guy Voncken <vogu00@gmail.com>  Wed, 06 Jun 2007 16:25:08 +0200

